/* Milligram overrides */
.container{max-width:240rem}

:root {
    /* The following are official CakePHP colors */
    --color-cakephp-red: #d33c43;
    --color-cakephp-gray: #404041;
    --color-cakephp-blue: #2f85ae;
    --color-cakephp-lightblue: #34bdd7;

    /* These are additional colors */
    --color-lightgray: #606c76;
    --color-white: #fff;

    --color-main-bg: #f5f7fa;
    --color-links: var(--color-cakephp-gray);
    --color-links-active: #2a6496;
    --color-headings: #363637;

    --color-message-success-bg: #e3fcec;
    --color-message-success-text: #1f9d55;
    --color-message-success-border: #51d88a;

    --color-message-warning-bg: #fffabc;
    --color-message-warning-text: #8d7b00;
    --color-message-warning-border: #d3b800;

    --color-message-error-bg: #fcebea;
    --color-message-error-text: #cc1f1a;
    --color-message-error-border: #ef5753;

    --color-message-info-bg: #eff8ff;
    --color-message-info-text: #2779bd;
    --color-message-info-border: #6cb2eb;
}



/* Buttons*/
button, .smallbutton {
    font-family: "Roboto Condensed", sans-serif;
}
button, .button, a.button, .smallbutton, a.smallbutton, .mediumbutton, a.mediumbutton, a.logout {
    margin-left:0.2rem;
    margin-right:0.2rem;
    color: #f0f0f0;
    background-color:  #0071BC;
    font-size: 1.4rem;   
}

.smallbutton, a.smallbutton, .smallbutton:focus {
    margin-left:0.1rem;
    margin-right:0.1rem;
    color: #f0f0f0;
    background-color:  #0071BC;
    font-size: 1.2rem; 
    margin-bottom:0.5rem;   
}

.mediumbutton, a.mediumbutton, .mediumbutton:focus, button.mediumbutton {
    margin-left:0.25rem;
    margin-right:0.25rem;
    color: #f0f0f0;
    background-color:  #0071BC;
    font-size: 1.4rem; 
    padding:0.5rem;
    border-radius: 0.5rem;
    margin-bottom:0.25rem;   
    text-transform:none;
    font-weight:normal;
    line-height:normal;
    height: auto;
    letter-spacing: normal;
    border: 0.1rem solid #9b4dca;
}

a.delete {
    background-color:rgb(233, 76, 76);
    border-color: rgb(233, 76, 76);
}

a.koledar {
    color:#f0f0f0;
}

button:hover, .button:hover, a.button:hover, .smallbutton:hover, a.smallbutton:hover, .mediumbutton:hover, a.mediumbutton:hover, a.logout:hover {
    background-color: #88c671;
}

a.button-content {
    margin-bottom:0rem;
}

body {
    font-family: "Roboto Condensed", sans-serif;
    font-weight: 400;
    background: var(--color-main-bg);
}

.top-nav-links,
.side-nav,
h1, h2, h3, h4, h5, h6 {
    font-weight: bold;
    border-bottom: #404041 0.1rem dotted;
    margin-bottom:1rem;
}

h4 {
    padding:0.5rem;
    margin-bottom:2rem; 
}

h1, h2, h3, h4, h5, h6 {
    font-weight: 400;
    color: var(--color-headings);
}

h4.urnik, h4.praznik, h4.sobota {
    text-align:left; 
    padding-left:0rem;   
    padding-right: 0rem;
}

h4.praznik {
    background-color: #ef5753;
    color: #f0f0f0;

}

h4.sobota {
    background-color: #13ef47;
    color: #0a0a0a;

}

a {
    color: var(--color-links);
    transition: color 0.2s linear;
    font-family: "Roboto Condensed", sans-serif;
}

a:hover,
a:focus,
a:active {
    color: var(--color-links-active);
    transition: color 0.2s ease-out;
}

h4.praznik a {
    color:#f0f0f0;
}

h4.sobota a {
    color:#0a0a0a;
}

h4.sobota a.koledar {
    color:#f0f0f0;
}

h4.praznik a:hover,
h4.praznik a:focus,
h4.praznik a:active,
h4.sobota a:hover,
h4.sobota a:focus,
h4.sobota a:active  {
    color:var(--color-links-active);
}

.side-nav a,
.top-nav-links a,
th a,
.actions a {
    color: var(--color-lightgray);
}

.side-nav a:hover,
.side-nav a:focus,
.actions a:hover,
.actions a:focus {
    color: var(--color-links-active);
}

/* Utility */
.table-responsive {
    display: block;
    width: 100%;
    overflow-x: auto;
    -webkit-overflow-scrolling: touch;
}

/* Main */
.content {
    padding: 2rem;
    background: var(--color-white);
    border-radius: 0.4rem;
    /* Thanks Stripe */
    box-shadow: 0 7px 14px 0 rgba(60, 66, 87, 0.1),
        0 3px 6px 0 rgba(0, 0, 0, 0.07);
}
.content-buttons {
    padding-top:1rem;
    padding-bottom:1rem;
}

.content-actions {
    padding: 1rem;
    background: #ffffff;
    border-radius: 0.4rem;
    /* Thanks Stripe */
    box-shadow: 0 7px 14px 0 rgba(60, 66, 87, 0.1),
        0 3px 6px 0 rgba(0, 0, 0, 0.07);
    margin-bottom:1.5rem;
    }

.content-actions-text {
    font-weight:400;
    font-size:2rem;
}
  
a.content-actions-button {
    padding-left:1.5rem;
    padding-right:1.5rem;
    font-size:1.25rem;
    margin-bottom:0rem;
}

.content-footer {
    background-color: #eee;
    margin-top:1.5rem;
    padding:1rem;
    margin-bottom:2rem;
}

.content-header {
    background-color: #eee;
    margin-top:1.5rem;
    margin-bottom:1.5rem;
    padding:1rem;
    padding-bottom:0rem;
}

.content-copyright {
    display:none;
}

.content-printfooter {
    display:none;
}

.content-popup {
    margin-right:auto;
    margin-left:auto;
    border: 1px solid #888;
    margin-top:0em;
}

.content form {
    margin: 0;
}
.actions a {
    font-weight: bold;
    padding: 0;
}
.actions a:first-child {
    padding-left: 0;
}
th {
    white-space: nowrap;
    border-bottom: #1e1e1e 0.1rem double;
    background-color: #e1e1e1;
    padding: 0.25rem; 
    overflow: hidden;    
    text-overflow: ellipsis;
}

th.ura {
    width:10rem;
    border-right:#0f0f0f 1px solid;
}
th.prostor {
    text-align: center;
    border-right:#0f0f0f 1px solid;
    vertical-align: top;
}

th.praznik {
    text-align: center;
    border-right:#0f0f0f 1px solid;
    background-color: #ef5753;
    color: #f0f0f0;
}

th.danes {
    text-align: center;
    border-right:#0f0f0f 1px solid;
    background-color: lightgreen;
    font-weight: bold;
}

th:first-child, 
td:first-child {
    padding-left: 0.5rem;
}
tr:hover {background-color: lightcyan;}

td.note > div > p {margin-bottom: 0px;}

tr.odmor {
    background-color: lightcyan;
}

td.ura {
    border-right:#0f0f0f 1px solid;
    text-overflow: ellipsis;
    overflow: hidden;
}

td.prostor {
    border-right:#0f0f0f 1px solid;
    text-overflow: ellipsis;
    overflow: hidden;
}

.legenda {
    margin-left:2em;
    margin-right:2em;
    border-radius: 0.5rem;
    text-align: center;
}

.worktype0 {
    background-color: lightblue;
    margin-right:0rem;
}

.worktype1 {
    background-color: cyan;
}

.worktype2 {
    background-color: lightcoral;
}

.worktype3 {
    background-color: lightgreen;
}

.worktype4 {
    background-color: lightyellow;
}

.worktype5 {
    background-color: lightgrey;
}



.eventcel {
    border-radius:0.5rem;
    overflow:hidden;
} 

.eventvmes {
    border-radius:0rem;
    }

.eventzacetek {
    border-radius:0rem;
    border-top-left-radius:0.5rem;
    border-top-right-radius:0.5rem;
    overflow:hidden;
}

.eventkonec {
    border-radius:0rem;
    border-bottom-left-radius:0.5rem;
    border-bottom-right-radius:0.5rem;
}

tr td.note > div {
    padding-top:0rem;
    max-height: 5rem;
    overflow:hidden;
}

tfoot {
    display:none;
}

tfoot tr td {
    border-top: #1e1e1e 0.1rem double;
    border-bottom: #1e1e1e 0.1rem solid;    
    background-color: #e1e1e1;
    padding: 0.25rem; 
}

td.print-only, th.print-only {
    display:none;
}
div.print-only {
    display:none;
}

td {
    padding:0.25rem;
    font-weight:400;
}
h4.naslov {
    font-weight: bold;
    border-bottom: #404041 0.1rem dotted;
    margin-bottom:1rem;
}

/* header  */

a.naslov {
    font-size:2.5rem;
    font-weight: bold;    
}


/* Nav bar */
.top-nav {
    display: flex;
    align-items: center;
    justify-content: space-between;
    max-width: 112rem;
    padding: 2rem;
    margin: 0 auto;
}
.top-nav-title a {
    font-size: 2.4rem;
    color: var(--color-cakephp-red);
}
.top-nav-title span {
    color: var(--color-cakephp-gray);
}
.top-nav-links a {
    margin: 0 0.5rem;
}
.top-nav-title a,
.top-nav-links a {
    font-weight: bold;
}
.side-nav-item {
    display: block;
    padding: 0.5rem 0;
}

/* View action */
.view.content .text {
    margin-top: 1.2rem;
}
.related {
    margin-top: 2rem;
}

/* Flash messages */
.message {
    padding: .5rem 1rem;
    background: var(--color-message-info-bg);
    color: var(--color-message-info-text);
    border-color: var(--color-message-info-border);
    border-width: 1px;
    border-style: solid;
    border-radius: 4px;
    margin-bottom: 1rem;
    cursor: pointer;
}
.message.hidden {
    display: none;
}
.message.success {
    background: var(--color-message-success-bg);
    color: var(--color-message-success-text);
    border-color: var(--color-message-success-border);
}
.message.warning {
    background: var(--color-message-warning-bg);
    color: var(--color-message-warning-text);
    border-color: var(--color-message-warning-border);
}
.message.error {
    background: var(--color-message-error-bg);
    color: var(--color-message-error-text);
    border-color: var(--color-message-error-border);
}

/* Forms */
/* Forms */
.pregled {
    background-color: transparent;
    border: 0.1rem solid #d1d1d1;
    border-radius: .4rem;
    box-shadow: none;
    box-sizing: inherit;
    height: 3.8rem;
    padding: .6rem 1.0rem;
    width: 100%;
    margin-bottom: 1rem;
}

.pregledtext {
    background-color: transparent;
    border: 0.1rem solid #d1d1d1;
    border-radius: .4rem;
    box-shadow: none;
    box-sizing: inherit;
    min-height: 3.8rem;
    padding: .6rem 1.0rem;
    width: 100%;
    margin-bottom: 1rem;
}

div.pregledtext > div > p {
    margin-bottom: 0px;
}

.pregleddisabled {
    background-color: #e1e1e1;
    border: 0.1rem solid #d1d1d1;
    border-radius: .4rem;
    box-shadow: none;
    box-sizing: inherit;
    padding: .6rem 1.0rem;
    width: 100%;
    margin-bottom: 1rem;
}

.pregledslika {
    background-color: transparent;
    border: 0.1rem solid #d1d1d1;
    border-radius: .4rem;
    box-shadow: none;
    box-sizing: inherit;
    padding: .6rem 1.0rem;
    width: 100%;
    margin-bottom: 1rem;
}
.pregledqrkoda {
    background-color: transparent;
    border: 0.1rem solid #d1d1d1;
    border-radius: .4rem;
    box-shadow: none;
    box-sizing: inherit;
    padding: .6rem 1.0rem;
    margin-bottom: 1rem;
}

legend {
    font-size: 1.75rem;
    font-weight:400;
    width:100%;
    border-bottom: #1e1e1e 0.1rem dotted;
    margin-bottom: 0.5rem;
}

label {
    font-size: 1.5rem;
    font-weight:700;
    margin-bottom:0.5rem;
    color:#606c76;
}
input, .input.text {
    font-family: "Roboto Condensed", sans-serif;
    margin-bottom: 0.5rem;
}

.input.radio,
.input.checkbox {
    margin-bottom: 0.5rem;
}
.input.radio input,
.input.checkbox input {
    margin: 0;
}
.input.radio label,
.input.checkbox label {
    margin: 0;
    display: flex;
    align-items: center;
}
.input.radio label > input,
.input.checkbox label > input {
    margin-right: 1.0rem;
}
.input.radio label:first-of-type {
    margin-bottom: 2.0rem;
}

input[type=submit] {
    margin: 0 0.5rem;
    color: #f0f0f0;
    background-color: #0071BC;
    font-size: 1.4rem;    
}
input[type=submit]:hover {
    background-color: #88c671;
}

input[type='color'] {
    max-width: 4rem;
    padding: 0.3rem .5rem 0.3rem;
}

/* Paginator */
.paginator {
    text-align: right;
}
.paginator p {
    margin-bottom: 0;
}
.pagination {
    display: flex;
    justify-content: center;
    list-style: none;
    margin: 0 0 1rem 0;
    padding: 0;
}
.pagination li {
    display: inline-block;
    margin: 0.25em;
    text-align: center;
}
.pagination a {
    color: var(--color-cakephp-blue);
    display: inline-block;    
    line-height: 3rem;
    min-width: 3rem;
    padding: 0;
    position: relative;
    text-decoration: none;
    transition: background .3s,color .3s;
}
.pagination li.active a,
.pagination a:hover {
    text-decoration: underline;
}
.pagination .disabled a {
    cursor: not-allowed;
    color: var(--color-lightgray);
    text-decoration: none;
}
.first a,
.prev a,
.next a,
.last a {
    padding: 0 .75rem;
}
.disabled a:hover {
    background: initial;
    color: initial;
}
.asc:after {
    content: " \2193";
}
.desc:after {
    content: " \2191";
}

/* Error in non debug mode */
.error-container {
    align-items: center;
    display: flex;
    flex-direction: column;
    height: 100vh;
    justify-content: center;
}

@media screen and (max-width: 640px) {
    /* Fix milligram not having a responsive column system */


    .row .column[class*='column-'] {
        flex: 0 0 100%;
        max-width: 100%
    }
    .top-nav {
        margin: 0 auto;
    }
    .side-nav {
        margin-bottom: 1rem;
    }
    .heading {
        margin-bottom: 1rem;
    }
    .side-nav-item {
        display: inline;
        margin: 0 1.5rem 0 0;
    }
    .asc:after {
        content: " \2192";
    }
    .desc:after {
        content: " \2190";
    }
}

@media screen and (min-width: 500px) {    

    .popupwindow {
        width: 90%;
    }
}

@media screen and (min-width: 768px) {    

    .popupwindow {
        width: 50%;
    }
}

@media screen and (min-width: 1800px) {    

    .popupwindow {
        width: 30%;
    }
}
